#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, size1, j; vector<int> v1;
    cin >> n;
    for(int i = 0; i < 2 * n; i++) {
        v1[i] = i + 1;
    }
    size1 = v1.size();
    for (int i = size1 - 1; i >= size1 / 2; i--) {
        j = size1 - 1 - i;
        cout << v1[i] << " " << v1[j] << '\n';
    }
}